package org.tio.sitexxx.service.model.main.base;

import org.tio.jfinal.plugin.activerecord.IBean;
import org.tio.sitexxx.service.jf.TioModel;

import java.util.Date;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-07-03 12:04
 *    desc   : 用户最后登录时间
 * </pre>
 */
public abstract class BaseUserLastLoginTime <M extends BaseUserLastLoginTime<M>> extends TioModel<M> implements IBean {
    public void setId(Integer val) {
        set("id", val);
    }

    public Integer getId(){
        return get("id");
    }

    public void setUid(Integer val) {
        set("uid", val);
    }

    public Integer getUid(){
        return get("uid");
    }

    public void setCreateTime(Date val){
        set("createtime", val);
    }

    public Date getCreateTime(){
        return get("createtime");
    }
}
